View Issue Details

IDProjectCategoryView StatusLast Update
0000601filegeneralpublic2017-03-23 19:54
ReporterKonrad Gräfe 
Assigned ToChristos Zoulas 
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionHEAD 
Summary0000601: Git commit IDs changed for all commits after 1987-09-11
DescriptionI noticed that the Git repository got rebased for a great majority of commits. The last untouched commit is this one:
dcc460d 1987-09-11 15:02 IDarwin *** empty log message ***

This breaks building through embedded build systems (Yocto in my case) and undermines the trust in the source code.

I found the original code (with one additional commit on top) and forked it to make sure that it does not disappear: https://github.com/kgraefe/file
From the diff off the two branches, I could not see any security-related changes (for version 5.30: git diff 7981495..3050419). But of course I cannot be sure.

However, I just wanted to ask: Is that an intended change? Why was it necessary?
Tagsgit, security

Relationships

Activities

Christos Zoulas

Christos Zoulas

2017-03-21 15:25

manager   ~0001483

This is my fault because I regenerated the repository from CVS where I should have done it incrementally. I did not intend to do it, so I think that the prudent move is to use your clone, undo that single commit and the incrementally import whats missing, and then mirror back.
Konrad Gräfe

Konrad Gräfe

2017-03-22 09:34

reporter   ~0001484

I think so, too.

The Yocto people already adapted to the new branch [1], but even then I think it is better to break some well-maintained projects (again) instead of breaking a whole lot more of older projects.

In general, you should not change commits once they have been released.

[1] http://git.yoctoproject.org/cgit.cgi/poky/commit/meta/recipes-devtools/file?id=2102b8c9b60438e5d73f3182799297efad4cbcfe
Christos Zoulas

Christos Zoulas

2017-03-23 19:54

manager   ~0001485

I reverted the change.

Issue History

Date Modified Username Field Change
2017-03-21 11:44 Konrad Gräfe New Issue
2017-03-21 11:44 Konrad Gräfe Tag Attached: security git
2017-03-21 11:45 Konrad Gräfe Tag Detached: security git
2017-03-21 11:45 Konrad Gräfe Tag Attached: security
2017-03-21 11:45 Konrad Gräfe Tag Attached: git
2017-03-21 15:25 Christos Zoulas Note Added: 0001483
2017-03-22 09:34 Konrad Gräfe Note Added: 0001484
2017-03-23 19:54 Christos Zoulas Assigned To => Christos Zoulas
2017-03-23 19:54 Christos Zoulas Status new => resolved
2017-03-23 19:54 Christos Zoulas Resolution open => fixed
2017-03-23 19:54 Christos Zoulas Fixed in Version => HEAD
2017-03-23 19:54 Christos Zoulas Note Added: 0001485